<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FEF898"
    android:gravity="center"
    android:orientation="vertical">

    <ScrollView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:fillViewport="true">

    <GridLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:id="@+id/AllGridLayout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="8dp"
        android:layout_marginBottom="8dp"
        android:columnCount="5"
        android:orientation="horizontal"
        android:rowCount="29">

        <CheckBox
            android:id="@+id/hoppingen"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="Hopping_En"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="0"
            android:layout_column="2"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="        " />

        <CheckBox
            android:id="@+id/rangeext"
            android:layout_row="0"
            android:layout_column="3"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="Range_Ext"
            android:textSize="22dp" />

        <TextView
            android:layout_row="1"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="2"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="FreqStart(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/freqstart"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />


        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="2"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="FreqEnd(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/freqend"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="3"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="4"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="DetectStayTimes(D)"
            android:textColor="#000000"
            android:textSize="22dp" />

        <EditText
            android:id="@+id/detectstaytimes"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="4"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Detect_Confirm_Times(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/detectconfirmtimes"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="5"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <CheckBox
            android:id="@+id/disforceref"
            android:layout_row="6"
            android:layout_column="0"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="Dis_Force_Ref"
            android:textSize="22dp" />

        <CheckBox
            android:id="@+id/delayhopping"
            android:layout_row="6"
            android:layout_column="3"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="Delay_Hopping"
            android:textSize="22dp" />

        <TextView
            android:layout_row="7"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="8"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Fast_Hop_Limit(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/fasthoplimit"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />


        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="8"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Hop_Threshold(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/hopthreshold"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="9"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="10"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Noise_Min_Th(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/noiseminth"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />


        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="10"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Sensor_Group(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/sensorgroup"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="11"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="12"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Seg1_Normalize(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/seg1normalize"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />


        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="12"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Seg1_Factor(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/seg1factor"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="13"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="14"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="MainClockAjdust(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/mainclockajdust"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="14"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Seg2_Normalize(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/seg2normalize"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="15"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="16"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Seg2_Factor(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/seg2factor"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="16"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Seg3_Normalize(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/seg3normalize"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="17"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="18"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Seg3_Factor(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/seg3factor"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="18"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Seg4_Normalize(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/seg4normalize"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="19"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="20"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Seg4_Factor(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/seg4factor"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="20"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Seg5_Normalize(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/seg5normalize"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="21"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="22"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Seg5_Factor(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/seg5factor"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="22"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Seg6_Normalize(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/seg6normalize"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

        <TextView
            android:layout_row="23"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="24"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="HopFreqAddr(H)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/hopfreqaddr"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text=" C6E6 "
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="24"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="1dp"
            android:text="Hop_DetectTimes(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/hopdetecttimes"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp" />

    </GridLayout>
    </ScrollView>

</LinearLayout>